
body {
  height: 100vh;
  width:100%;
  margin: 0;
  font-size: 20px;
}


@media (max-width: 400px) {
  body {
    font-size: 5px;
  }
}

@media (max-width: 768px) {
  body {
    font-size: 12px;
  }
}

img {
  max-width: 100%;
  max-height: 100%;
}

/* Small screen (e.g., mobile devices) */
@media (max-width: 400px) {
  img {
    max-width: 100%;
    height: auto; /* maintain aspect ratio */
  }
}

/* Medium screen (e.g., tablets) */
@media (max-width: 768px) and (min-width: 401px) {
  img {
    max-width: 100%;
    height: auto; /* maintain aspect ratio */
  }
}


#pama-frame {
  background-color: #ddd;
  border: 1px solid #ddd;
  border-radius: 0.1%;
  overflow-y: auto; /* or overflow-y: scroll; */
}

 .container {
    position: relative;
    right:0.3%;
    padding: 20px;
    background-color: #ddd;
    border: 10px solid white;
    border-radius: 12px;
    overflow-y: auto; /* or overflow-y: scroll; */
    overflow-x: auto; /* or overflow-y: scroll; */
    scrollbar-width: none; /* for Firefox */
  -ms-overflow-style: none; /* for Internet Explorer and Edge */
  display: visible;
  z-index: 100;
  }

.container h3{
font-style: unset;
background: linear-gradient(to bottom, #8b8016 70%, #e95632 30%);
background-clip: text;
color: transparent;
font: arial;
font-size: 100%;
  }
  
  .product-list {
    display: block;
    flex-direction: column;
  }
  
  .page {
    display: block;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  .product {
    width: 100%;
    margin: 1%;
    padding: 1%;
    background-color:#ddd;
    border: 0% solid #ddd;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-left: -5px;
  }

  .product img{
    width: 99%;
    height: 70%;
    margin-bottom: 2px;
    border-radius: 2px;
    margin-left: -10px;
  }

  .product h3, .product p{
    margin-bottom: 5px; /* adjust the margin to your liking */
    margin-top: 5px;
    padding: 0; /* remove any unnecessary padding */
    font-size: 100%;
  }
  

/* Desktop */
@media (max-width: 1200px) {
  .product {
    width: 100%;
  }
}

/* Tablet */
@media (max-width: 768px) {
  .product {
    width: 45%;
  }
}

/* Mobile */
@media (max-width: 480px) {
  .product {
    width: 90%;
    margin:4% auto;
  }
  .container h3 {
    font-size: 150%;
  }
}

.pagination {
  margin-top: 20px;
  text-align: center;
}

#prev-button {
  padding: 10px 20px;
  background-color: #ddd;
  color: white;
  border: 1px solid white;
  border-radius: 25px 0px 0px 25px;
  cursor: pointer;
}

   #next-button {
  padding: 10px 20px;
  background-color: #ddd;
  color: white;
  border: 1px solid white;
  border-radius: 0px 25px 25px 0px;
  cursor: pointer;
}

#prev-button:hover, #next-button:hover {
  background-color: #f8f666fb;
}

  .add-to-cart {
    padding: 5px 5px;
    background-color: #ddd;
    color: #ec280e;
    border: 2px solid #0b2938;
    border-radius: 5px;
    cursor: pointer;
  }
  
  .order-board {
    position: relative;
    float: left;
    background-color: #ddd;
    padding: 20px;
    border: 2px solid #ddd;
    overflow-y: auto; /* or overflow-y: scroll; */
    overflow-x: auto; /* or overflow-y: scroll; */
    scrollbar-width: none; /* for Firefox */
  -ms-overflow-style: none; /* for Internet Explorer and Edge */
    display: flex;
    gap: 3%;
  }
  
  .cart-page {
    width: 30%;
    height: 100%;
    background-color: #ddd;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: none;
  }

  .cart-page > ul > li {
    padding: 10px;
    border-bottom: 1px solid #0a475a;
    font-size: 18px;
    color: #0a475a;
    margin-left: -30px;
  }
  
  .cart-page > ul > li:last-child {
    border-bottom: none;
  }

  .invalid {
    border: 1px solid red;
  }
  
  #order-confirmation {
    background-color: #e7f1ec;
    width: 90%;
    padding: 20px;
    border-radius: 10px;
    display:none
  }

  #confirm-button {
    padding: 20px;
    border-radius: 10px;
    padding-left: 70px;
    display:none
  }

  .payment-board{
    position: absolute;
    top: 70%; /* adjust the top position as needed */
    left: 40%;
    width: 30%;
    background-color: #310723;
    padding: 20px;
    border: 2px solid red;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display:none;
    z-index: 1000;
  }

  .payment-screen {
    width: 80%;
    height: 100%;
    background-color: #39f067;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
  }

  #mtn-button {
    background-color: yellow;
    color: black;
    padding: 10px 20px;
    border: 4px solid #39f067;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #airtel-tigo-button {
    background-color: blue;
    color: white;
    padding: 11px 22px;
    border: 1px solid red;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #vodafone-button {
    background-color: red;
    color: white;
    padding: 11px 20px;
    border: 1px solid #f7f6f8;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #make-payment-button {
    background-color: green;
    color: white;
    padding: 10px 20px;
    border: 2px solid #f7f6f8;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #bank-transfer-button {
    background-color: rgb(228, 54, 213);
    color: white;
    padding: 10px 20px;
    border: 3px solid #39f067;
    border-radius: 5px;
    cursor: pointer;
  }
 